# Asterisk Project : Asterisk 12 Function_DB_DELETE

Added by wikibot , edited by wikibot on Aug 29, 2013

# DB_DELETE()

### Synopsis

Return a value from the database and delete it.

### Description

This function will retrieve a value from the Asterisk database and then remove that key from the database. `DB_RESULT` will be set to the key's value if it exists.

### Syntax

    DB_DELETE(family/key)

##### Arguments

- `family`
- `key`

### See Also

- Asterisk 12 Application_DBdel
- Asterisk 12 Function_DB
- Asterisk 12 Application_DBdeltree

### Import Version

This documentation was imported from Asterisk Version Unknown